<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>behav.cpp</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>behav_8cpp</filename>
    <includes id="behav_8h" name="behav.h" local="yes" imported="no">behav.h</includes>
    <includes id="globals_8h" name="globals.h" local="yes" imported="no">globals.h</includes>
    <includes id="load_8h" name="load.h" local="yes" imported="no">load.h</includes>
    <includes id="point_8h" name="point.h" local="yes" imported="no">point.h</includes>
    <includes id="semaphore__group_8h" name="semaphore_group.h" local="yes" imported="no">semaphore_group.h</includes>
    <includes id="indexer_8h" name="indexer.h" local="yes" imported="no">indexer.h</includes>
    <includes id="vehicle_8h" name="vehicle.h" local="yes" imported="no">vehicle.h</includes>
  </compound>
  <compound kind="file">
    <name>behav.h</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>behav_8h</filename>
    <class kind="struct">VehicState</class>
    <class kind="class">Behavior</class>
    <class kind="class">Condition</class>
    <class kind="class">Condition::Cleaner</class>
    <class kind="class">RootCond</class>
    <class kind="class">VehicCond</class>
    <class kind="class">FromCond</class>
    <class kind="class">SpeedBehav</class>
    <class kind="class">ContBehav</class>
    <class kind="struct">ContBehav::Cont</class>
    <class kind="class">SemaphoreBehav</class>
    <class kind="struct">SemaphoreBehav::Interval</class>
    <class kind="class">PriorityBehav</class>
  </compound>
  <compound kind="file">
    <name>cross.cpp</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>cross_8cpp</filename>
    <includes id="cross_8h" name="cross.h" local="yes" imported="no">cross.h</includes>
    <includes id="crossget_8h" name="crossget.h" local="yes" imported="no">crossget.h</includes>
    <includes id="load_8h" name="load.h" local="yes" imported="no">load.h</includes>
    <includes id="indexer_8h" name="indexer.h" local="yes" imported="no">indexer.h</includes>
  </compound>
  <compound kind="file">
    <name>cross.h</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>cross_8h</filename>
    <class kind="class">Cross</class>
  </compound>
  <compound kind="file">
    <name>crossget.cpp</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>crossget_8cpp</filename>
    <includes id="crossget_8h" name="crossget.h" local="yes" imported="no">crossget.h</includes>
    <includes id="indexer_8h" name="indexer.h" local="yes" imported="no">indexer.h</includes>
    <includes id="point_8h" name="point.h" local="yes" imported="no">point.h</includes>
    <includes id="line_8h" name="line.h" local="yes" imported="no">line.h</includes>
    <includes id="vehicle_8h" name="vehicle.h" local="yes" imported="no">vehicle.h</includes>
    <includes id="mapobj_8h" name="mapobj.h" local="yes" imported="no">mapobj.h</includes>
  </compound>
  <compound kind="file">
    <name>crossget.h</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>crossget_8h</filename>
    <class kind="class">Crossget</class>
  </compound>
  <compound kind="file">
    <name>generator.cpp</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>generator_8cpp</filename>
    <includes id="generator_8h" name="generator.h" local="yes" imported="no">generator.h</includes>
    <includes id="point_8h" name="point.h" local="yes" imported="no">point.h</includes>
    <includes id="load_8h" name="load.h" local="yes" imported="no">load.h</includes>
    <includes id="vehicle_8h" name="vehicle.h" local="yes" imported="no">vehicle.h</includes>
  </compound>
  <compound kind="file">
    <name>generator.h</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>generator_8h</filename>
    <class kind="class">Generator</class>
  </compound>
  <compound kind="file">
    <name>globals.cpp</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>globals_8cpp</filename>
    <includes id="globals_8h" name="globals.h" local="yes" imported="no">globals.h</includes>
    <includes id="load_8h" name="load.h" local="yes" imported="no">load.h</includes>
    <member kind="function">
      <type>int</type>
      <name>getIndex</name>
      <anchorfile>globals_8cpp.html</anchorfile>
      <anchor>3ffa4526b7e7e488acec1010a57998bd</anchor>
      <arglist>(const QDomElement &amp;node, const QString &amp;errorText)</arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>NS</name>
      <anchorfile>globals_8cpp.html</anchorfile>
      <anchor>d82418d63e6d93a69fdaf75771628f29</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>globals.h</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>globals_8h</filename>
    <member kind="function">
      <type>T *</type>
      <name>notNull</name>
      <anchorfile>globals_8h.html</anchorfile>
      <anchor>dd6cba7787d1638b29a18980e3433f76</anchor>
      <arglist>(T *val, const E &amp;exc)</arglist>
    </member>
    <member kind="function">
      <type>T</type>
      <name>nonEmpty</name>
      <anchorfile>globals_8h.html</anchorfile>
      <anchor>80aa1b6e273843e4840f4a222b9f7964</anchor>
      <arglist>(const T &amp;val, const E &amp;exc)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getIndex</name>
      <anchorfile>globals_8h.html</anchorfile>
      <anchor>3ffa4526b7e7e488acec1010a57998bd</anchor>
      <arglist>(const QDomElement &amp;node, const QString &amp;errorText)</arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>NS</name>
      <anchorfile>globals_8h.html</anchorfile>
      <anchor>d82418d63e6d93a69fdaf75771628f29</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>indexer.cpp</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>indexer_8cpp</filename>
    <includes id="indexer_8h" name="indexer.h" local="yes" imported="no">indexer.h</includes>
    <includes id="load_8h" name="load.h" local="yes" imported="no">load.h</includes>
    <includes id="point_8h" name="point.h" local="yes" imported="no">point.h</includes>
    <includes id="line_8h" name="line.h" local="yes" imported="no">line.h</includes>
    <includes id="semaphore__group_8h" name="semaphore_group.h" local="yes" imported="no">semaphore_group.h</includes>
    <includes id="vehicle_8h" name="vehicle.h" local="yes" imported="no">vehicle.h</includes>
    <member kind="function">
      <type>bool</type>
      <name>lessThan</name>
      <anchorfile>indexer_8cpp.html</anchorfile>
      <anchor>5a883f6be34e0f1473153e842f482694</anchor>
      <arglist>(const Indexer::Level *_1, const Indexer::Level *_2)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>indexer.h</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>indexer_8h</filename>
    <class kind="class">Indexable</class>
    <class kind="class">Invisible</class>
    <class kind="class">Indexer</class>
    <class kind="class">Indexer::Level</class>
  </compound>
  <compound kind="file">
    <name>line.cpp</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>line_8cpp</filename>
    <includes id="line_8h" name="line.h" local="yes" imported="no">line.h</includes>
    <includes id="point_8h" name="point.h" local="yes" imported="no">point.h</includes>
    <includes id="globals_8h" name="globals.h" local="yes" imported="no">globals.h</includes>
    <includes id="load_8h" name="load.h" local="yes" imported="no">load.h</includes>
    <includes id="vehicle_8h" name="vehicle.h" local="yes" imported="no">vehicle.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>EXCP_IP</name>
      <anchorfile>line_8cpp.html</anchorfile>
      <anchor>6d19d3116a0713b14c638ca8805cd88d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>line.h</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>line_8h</filename>
    <includes id="indexer_8h" name="indexer.h" local="yes" imported="no">indexer.h</includes>
    <class kind="class">Line</class>
  </compound>
  <compound kind="file">
    <name>load.cpp</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>load_8cpp</filename>
    <includes id="load_8h" name="load.h" local="yes" imported="no">load.h</includes>
    <includes id="crossget_8h" name="crossget.h" local="yes" imported="no">crossget.h</includes>
    <includes id="indexer_8h" name="indexer.h" local="yes" imported="no">indexer.h</includes>
    <includes id="point_8h" name="point.h" local="yes" imported="no">point.h</includes>
    <includes id="line_8h" name="line.h" local="yes" imported="no">line.h</includes>
    <includes id="globals_8h" name="globals.h" local="yes" imported="no">globals.h</includes>
    <includes id="semaphore__group_8h" name="semaphore_group.h" local="yes" imported="no">semaphore_group.h</includes>
    <includes id="mapobj_8h" name="mapobj.h" local="yes" imported="no">mapobj.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>EXCP</name>
      <anchorfile>load_8cpp.html</anchorfile>
      <anchor>f587f4ef0c377608ce53ca79a8b58758</anchor>
      <arglist>(WHAT)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EXCP</name>
      <anchorfile>load_8cpp.html</anchorfile>
      <anchor>a8e2158361413edf491cd9aa06652b2a</anchor>
      <arglist>(XMLLoadFormatE)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EXCP</name>
      <anchorfile>load_8cpp.html</anchorfile>
      <anchor>ebef9327ded8636bbb83c6c2f6038362</anchor>
      <arglist>(XMLLoadForeignE)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EXCP</name>
      <anchorfile>load_8cpp.html</anchorfile>
      <anchor>67c4c8c3fb463050e21018a3a7b0e2ff</anchor>
      <arglist>(XMLLoadFileNotFoundE)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EXCP</name>
      <anchorfile>load_8cpp.html</anchorfile>
      <anchor>3962d8e52209101049edb524b2d2c4bb</anchor>
      <arglist>(XMLLoadDataE)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EXCP</name>
      <anchorfile>load_8cpp.html</anchorfile>
      <anchor>b1d0db36271b47cc8f567f5d7f78ac90</anchor>
      <arglist>(LoadUnknownE)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EXCP</name>
      <anchorfile>load_8cpp.html</anchorfile>
      <anchor>f0407e4718a71874f5035f664d8f98f8</anchor>
      <arglist>(ImageNotFoundE)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QPixmap</type>
      <name>getImg</name>
      <anchorfile>load_8cpp.html</anchorfile>
      <anchor>f0d33ea26898101b83f72235fb45284e</anchor>
      <arglist>(const QString &amp;xmlpath, const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>Indexer *</type>
      <name>loadXmlFile</name>
      <anchorfile>load_8cpp.html</anchorfile>
      <anchor>3c28e3a0ccac778987251238d6fc3bb4</anchor>
      <arglist>(const QString &amp;fn, Crossget *crossget)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>load.h</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>load_8h</filename>
    <class kind="class">LoadUnknownE</class>
    <class kind="class">XMLLoadFormatE</class>
    <class kind="class">XMLLoadForeignE</class>
    <class kind="class">XMLLoadDataE</class>
    <class kind="class">XMLLoadFileNotFoundE</class>
    <class kind="class">ImageNotFoundE</class>
    <member kind="function">
      <type>Indexer *</type>
      <name>loadXmlFile</name>
      <anchorfile>load_8h.html</anchorfile>
      <anchor>3c28e3a0ccac778987251238d6fc3bb4</anchor>
      <arglist>(const QString &amp;fn, Crossget *crossget)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>main.cpp</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>main_8cpp</filename>
    <includes id="cross_8h" name="cross.h" local="yes" imported="no">cross.h</includes>
    <includes id="vehicle_8h" name="vehicle.h" local="yes" imported="no">vehicle.h</includes>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>main_8cpp.html</anchorfile>
      <anchor>0ddf1224851353fc92bfbff6f499fa97</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>mapobj.cpp</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>mapobj_8cpp</filename>
    <includes id="mapobj_8h" name="mapobj.h" local="yes" imported="no">mapobj.h</includes>
    <includes id="globals_8h" name="globals.h" local="yes" imported="no">globals.h</includes>
    <includes id="load_8h" name="load.h" local="yes" imported="no">load.h</includes>
  </compound>
  <compound kind="file">
    <name>mapobj.h</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>mapobj_8h</filename>
    <includes id="indexer_8h" name="indexer.h" local="yes" imported="no">indexer.h</includes>
    <class kind="class">MapObject</class>
  </compound>
  <compound kind="file">
    <name>point.cpp</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>point_8cpp</filename>
    <includes id="point_8h" name="point.h" local="yes" imported="no">point.h</includes>
    <includes id="load_8h" name="load.h" local="yes" imported="no">load.h</includes>
    <includes id="globals_8h" name="globals.h" local="yes" imported="no">globals.h</includes>
    <includes id="line_8h" name="line.h" local="yes" imported="no">line.h</includes>
    <includes id="behav_8h" name="behav.h" local="yes" imported="no">behav.h</includes>
    <includes id="vehicle_8h" name="vehicle.h" local="yes" imported="no">vehicle.h</includes>
  </compound>
  <compound kind="file">
    <name>point.h</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>point_8h</filename>
    <includes id="indexer_8h" name="indexer.h" local="yes" imported="no">indexer.h</includes>
    <includes id="behav_8h" name="behav.h" local="yes" imported="no">behav.h</includes>
    <includes id="generator_8h" name="generator.h" local="yes" imported="no">generator.h</includes>
    <class kind="class">Point</class>
    <class kind="struct">Point::LockRequest</class>
  </compound>
  <compound kind="file">
    <name>semaphore_group.cpp</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>semaphore__group_8cpp</filename>
    <includes id="semaphore__group_8h" name="semaphore_group.h" local="yes" imported="no">semaphore_group.h</includes>
    <includes id="indexer_8h" name="indexer.h" local="yes" imported="no">indexer.h</includes>
    <includes id="load_8h" name="load.h" local="yes" imported="no">load.h</includes>
  </compound>
  <compound kind="file">
    <name>semaphore_group.h</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>semaphore__group_8h</filename>
    <includes id="indexer_8h" name="indexer.h" local="yes" imported="no">indexer.h</includes>
    <class kind="class">SemaphoreGroup</class>
  </compound>
  <compound kind="file">
    <name>vehicle.cpp</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>vehicle_8cpp</filename>
    <includes id="vehicle_8h" name="vehicle.h" local="yes" imported="no">vehicle.h</includes>
    <includes id="point_8h" name="point.h" local="yes" imported="no">point.h</includes>
    <includes id="line_8h" name="line.h" local="yes" imported="no">line.h</includes>
    <member kind="function">
      <type>const QHash&lt; QString, const VehicType * &gt; &amp;</type>
      <name>vehicTypes</name>
      <anchorfile>vehicle_8cpp.html</anchorfile>
      <anchor>f3b40723c43f40280f8b4abf9822d0ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadVehicTypes</name>
      <anchorfile>vehicle_8cpp.html</anchorfile>
      <anchor>d71270c521126a84dd62996e986f9a74</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static double</type>
      <name>compDist</name>
      <anchorfile>vehicle_8cpp.html</anchorfile>
      <anchor>041dccda5f5bd925e2a69c81c4aa2a1f</anchor>
      <arglist>(int time, int sp1, int sp2, double actPos, double len, int speedMulti)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static QHash&lt; QString, const VehicType * &gt;</type>
      <name>mVehicTypes</name>
      <anchorfile>vehicle_8cpp.html</anchorfile>
      <anchor>1a92efb2de8676bde30e13ac7fc138a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>vehicle.h</name>
    <path>/home/vorner/skola/prog/crossing/impl/</path>
    <filename>vehicle_8h</filename>
    <includes id="indexer_8h" name="indexer.h" local="yes" imported="no">indexer.h</includes>
    <includes id="point_8h" name="point.h" local="yes" imported="no">point.h</includes>
    <includes id="behav_8h" name="behav.h" local="yes" imported="no">behav.h</includes>
    <class kind="class">VehicType</class>
    <class kind="class">VehicType::ImageSet</class>
    <class kind="class">Vehicle</class>
    <member kind="function">
      <type>const QHash&lt; QString, const VehicType * &gt; &amp;</type>
      <name>vehicTypes</name>
      <anchorfile>vehicle_8h.html</anchorfile>
      <anchor>f3b40723c43f40280f8b4abf9822d0ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadVehicTypes</name>
      <anchorfile>vehicle_8h.html</anchorfile>
      <anchor>d71270c521126a84dd62996e986f9a74</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Behavior</name>
    <filename>classBehavior.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Behavior</name>
      <anchorfile>classBehavior.html</anchorfile>
      <anchor>428a3d31a5711e5b46f2adcc02b10a52</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual VehicState</type>
      <name>processVehicle</name>
      <anchorfile>classBehavior.html</anchorfile>
      <anchor>fd2f304e0a2461c6080aa701bf98af8c</anchor>
      <arglist>(const VehicState &amp;state, const Vehicle &amp;vehicle) const=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Condition</name>
    <filename>classCondition.html</filename>
    <base>Behavior</base>
    <member kind="function">
      <type></type>
      <name>Condition</name>
      <anchorfile>classCondition.html</anchorfile>
      <anchor>58bbcad8202e7aa3571c5ae9ed7e4d7d</anchor>
      <arglist>(const QDomElement &amp;node, Point *point)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual VehicState</type>
      <name>processVehicle</name>
      <anchorfile>classCondition.html</anchorfile>
      <anchor>bb06b220d702a9ae5830bef890931e46</anchor>
      <arglist>(const VehicState &amp;state, const Vehicle &amp;vehicle) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>match</name>
      <anchorfile>classCondition.html</anchorfile>
      <anchor>40bfbf62e4e7cd4889045693f4fe1445</anchor>
      <arglist>(const Vehicle &amp;vehicle) const=0</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QList&lt; Condition * &gt;</type>
      <name>conditions</name>
      <anchorfile>classCondition.html</anchorfile>
      <anchor>077f0bb367be0c4fb3affe206c80f829</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QList&lt; Behavior * &gt;</type>
      <name>behaviors</name>
      <anchorfile>classCondition.html</anchorfile>
      <anchor>e0a0ec79abd2528b8f3e7614694f6bf9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Condition::Cleaner</type>
      <name>cleaner</name>
      <anchorfile>classCondition.html</anchorfile>
      <anchor>5c34d66872ceee311985f63e24ef0324</anchor>
      <arglist></arglist>
    </member>
    <class kind="class">Condition::Cleaner</class>
  </compound>
  <compound kind="class">
    <name>Condition::Cleaner</name>
    <filename>classCondition_1_1Cleaner.html</filename>
    <member kind="function">
      <type></type>
      <name>Cleaner</name>
      <anchorfile>classCondition_1_1Cleaner.html</anchorfile>
      <anchor>f4408fb04fe4b254f8391ffcfba05429</anchor>
      <arglist>(Condition *condition)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Cleaner</name>
      <anchorfile>classCondition_1_1Cleaner.html</anchorfile>
      <anchor>17003f655bdf33e0cd46559a088c1902</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Condition *</type>
      <name>mCondition</name>
      <anchorfile>classCondition_1_1Cleaner.html</anchorfile>
      <anchor>5b1570582449716daa4d1782e850119d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ContBehav</name>
    <filename>classContBehav.html</filename>
    <base>Behavior</base>
    <member kind="function">
      <type></type>
      <name>ContBehav</name>
      <anchorfile>classContBehav.html</anchorfile>
      <anchor>1d4c2f0b58aab0f30092e63b1d85cb2d</anchor>
      <arglist>(const QDomElement &amp;node, Point *point)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContBehav</name>
      <anchorfile>classContBehav.html</anchorfile>
      <anchor>b0acefae1bfe7b17bd2b55a69b5be081</anchor>
      <arglist>(Point *point)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addMore</name>
      <anchorfile>classContBehav.html</anchorfile>
      <anchor>139d2e438c580d9d6f6ef8ccc0ca24ad</anchor>
      <arglist>(const QDomElement &amp;node, Point *point)</arglist>
    </member>
    <member kind="function">
      <type>VehicState</type>
      <name>processVehicle</name>
      <anchorfile>classContBehav.html</anchorfile>
      <anchor>12d628bfe195eec4b6f0f844aab6f313</anchor>
      <arglist>(const VehicState &amp;state, const Vehicle &amp;vehicle) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>max</name>
      <anchorfile>classContBehav.html</anchorfile>
      <anchor>8ba1d78fa354eb9424ade81185efaad5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QVector&lt; Cont &gt;</type>
      <name>conts</name>
      <anchorfile>classContBehav.html</anchorfile>
      <anchor>c47f3712e40c3346c73699bae10ea484</anchor>
      <arglist></arglist>
    </member>
    <class kind="struct">ContBehav::Cont</class>
  </compound>
  <compound kind="struct">
    <name>ContBehav::Cont</name>
    <filename>structContBehav_1_1Cont.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>start</name>
      <anchorfile>structContBehav_1_1Cont.html</anchorfile>
      <anchor>5a0b8a1af57fe273a7b38c19100c25b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>len</name>
      <anchorfile>structContBehav_1_1Cont.html</anchorfile>
      <anchor>f99216133ececf1fb81655b04c87f80b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Line *</type>
      <name>line</name>
      <anchorfile>structContBehav_1_1Cont.html</anchorfile>
      <anchor>fc020220fc0ff346f8d6e9a6c1cfc36b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Cross</name>
    <filename>classCross.html</filename>
    <member kind="function">
      <type></type>
      <name>Cross</name>
      <anchorfile>classCross.html</anchorfile>
      <anchor>c90d453da016c5553ebf0479c053c190</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>on_openAc_triggered</name>
      <anchorfile>classCross.html</anchorfile>
      <anchor>8cc0d4c87cca7c196a276b35d21cfd06</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>on_startAc_triggered</name>
      <anchorfile>classCross.html</anchorfile>
      <anchor>25b5e05df546865055c6673629e20c35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>on_pauseAc_triggered</name>
      <anchorfile>classCross.html</anchorfile>
      <anchor>43cfe91f994a2c1e4e6e3c5fc2d4ec61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>on_uguideAc_triggered</name>
      <anchorfile>classCross.html</anchorfile>
      <anchor>12724a4bfa133662dd716ee41b766081</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>on_stopAc_triggered</name>
      <anchorfile>classCross.html</anchorfile>
      <anchor>fdf8828feb283b81aecb4ca48d1ba2bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>on_mguideAc_triggered</name>
      <anchorfile>classCross.html</anchorfile>
      <anchor>3f7e6175cd58eb3e7af2e58c2dcf0135</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>updateSpeed</name>
      <anchorfile>classCross.html</anchorfile>
      <anchor>38f8c54da1dab9530e481f2d5ac62d1e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>updateTraffic</name>
      <anchorfile>classCross.html</anchorfile>
      <anchor>082c3728348979ef2fd15a813364327a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>showErr</name>
      <anchorfile>classCross.html</anchorfile>
      <anchor>389f5b9504c9a3de03663de44b7b9426</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>showHelp</name>
      <anchorfile>classCross.html</anchorfile>
      <anchor>2263f1605add679f15bc58eea363e8ac</anchor>
      <arglist>(const QString &amp;page)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Crossget *</type>
      <name>crossget</name>
      <anchorfile>classCross.html</anchorfile>
      <anchor>a62b1346105434eb64d12053bbf807a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Indexer *</type>
      <name>indexer</name>
      <anchorfile>classCross.html</anchorfile>
      <anchor>164bf4563d1d7056c2e108957b1fad1e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Crossget</name>
    <filename>classCrossget.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setDrawStruct</name>
      <anchorfile>classCrossget.html</anchorfile>
      <anchor>fdb3f4e2dbe67fd5b50769334df600e4</anchor>
      <arglist>(bool value)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Crossget</name>
      <anchorfile>classCrossget.html</anchorfile>
      <anchor>2b7949d6367f0319f347bb948f6b625d</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Crossget</name>
      <anchorfile>classCrossget.html</anchorfile>
      <anchor>5a55a5e54312696fa3d04acf1b47d8e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBackground</name>
      <anchorfile>classCrossget.html</anchorfile>
      <anchor>db0c943c645ee99d42264ca3cd93d3fd</anchor>
      <arglist>(const QPixmap &amp;pixmap)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertIndexer</name>
      <anchorfile>classCrossget.html</anchorfile>
      <anchor>c207712f89034c4c431a9673c6232f01</anchor>
      <arglist>(Indexer *indexer)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>drawStruct</name>
      <anchorfile>classCrossget.html</anchorfile>
      <anchor>6c0777e8490406618d42212d681cd22d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paintEvent</name>
      <anchorfile>classCrossget.html</anchorfile>
      <anchor>55921780a38351826792382cc3f49b62</anchor>
      <arglist>(QPaintEvent *event)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QPixmap</type>
      <name>pixmap</name>
      <anchorfile>classCrossget.html</anchorfile>
      <anchor>d84c6c26f0bbf5531ddaaf30b96a3978</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Indexer *</type>
      <name>indexer</name>
      <anchorfile>classCrossget.html</anchorfile>
      <anchor>a6f3d3416913f1fa31cb1807c30ed61b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>mDrawStruct</name>
      <anchorfile>classCrossget.html</anchorfile>
      <anchor>ebb95c947ea6fb1c403734190fa8f609</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>FromCond</name>
    <filename>classFromCond.html</filename>
    <base>Condition</base>
    <member kind="function">
      <type></type>
      <name>FromCond</name>
      <anchorfile>classFromCond.html</anchorfile>
      <anchor>a96bce4dfbdaeb254b8e7bad6a3d94d6</anchor>
      <arglist>(const QDomElement &amp;element, Point *point)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>match</name>
      <anchorfile>classFromCond.html</anchorfile>
      <anchor>604466ce9827467d6993e6aca4422892</anchor>
      <arglist>(const Vehicle &amp;vehicle) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Line *</type>
      <name>line</name>
      <anchorfile>classFromCond.html</anchorfile>
      <anchor>576ec3d5db6dc2c3f879e7f982967d9e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Generator</name>
    <filename>classGenerator.html</filename>
    <member kind="function">
      <type></type>
      <name>Generator</name>
      <anchorfile>classGenerator.html</anchorfile>
      <anchor>96bafb638aa5d042eced484dab6c5d80</anchor>
      <arglist>(const QDomElement &amp;node, Point *point)</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>tick</name>
      <anchorfile>classGenerator.html</anchorfile>
      <anchor>fa06baa642ccd495a5f38942070a3d5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>mAmount</name>
      <anchorfile>classGenerator.html</anchorfile>
      <anchor>23a1377fe98e8d7654cdab856c7de773</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>const VehicType *</type>
      <name>vehicType</name>
      <anchorfile>classGenerator.html</anchorfile>
      <anchor>235b2d609335cecfccdb47a1cd108827</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Point *</type>
      <name>mPoint</name>
      <anchorfile>classGenerator.html</anchorfile>
      <anchor>b46189d086f1b83c20c621d356c90381</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ImageNotFoundE</name>
    <filename>classImageNotFoundE.html</filename>
    <base>LoadUnknownE</base>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ImageNotFoundE</name>
      <anchorfile>classImageNotFoundE.html</anchorfile>
      <anchor>33ace5a35d5228c1e37670aa1be1b994</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ImageNotFoundE</name>
      <anchorfile>classImageNotFoundE.html</anchorfile>
      <anchor>a85e086164df5528c79a60fc2c05907c</anchor>
      <arglist>(const QString &amp;fn)</arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>filename</name>
      <anchorfile>classImageNotFoundE.html</anchorfile>
      <anchor>d4c74315304b4f40b8221755f1c431b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual void</type>
      <name>x</name>
      <anchorfile>classImageNotFoundE.html</anchorfile>
      <anchor>d81a4b6246af64f33b4d27828bb57f31</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Indexable</name>
    <filename>classIndexable.html</filename>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>0ba22c94e64ee7fb201a0f42c84073b1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Vehicle</name>
      <anchor>0ba22c94e64ee7fb201a0f42c84073b127a4a912d647bd9b76fdcc3dc7a3eb1e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Structural</name>
      <anchor>0ba22c94e64ee7fb201a0f42c84073b10128b4d4cb30148c4b29911f760a39e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Object</name>
      <anchor>0ba22c94e64ee7fb201a0f42c84073b11b3fee7a1faa69a84058f5149347200a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Invisible</name>
      <anchor>0ba22c94e64ee7fb201a0f42c84073b1373ff374a1927f92202bf936ca7e0f73</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>index</name>
      <anchorfile>classIndexable.html</anchorfile>
      <anchor>42e5aa755c1f5d57b0a6070f67995e10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>type</name>
      <anchorfile>classIndexable.html</anchorfile>
      <anchor>64ef133fcfc02415a6ea12093a5318a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Indexer *</type>
      <name>indexer</name>
      <anchorfile>classIndexable.html</anchorfile>
      <anchor>01787421f99ee4feb50674fe1e6d5487</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Indexable</name>
      <anchorfile>classIndexable.html</anchorfile>
      <anchor>d5cbf5a124b0692e9db09d905a1a677d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Indexable</name>
      <anchorfile>classIndexable.html</anchorfile>
      <anchor>dbef41447652d0b1b094d523b24c13bd</anchor>
      <arglist>(Type type, int index=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeIndex</name>
      <anchorfile>classIndexable.html</anchorfile>
      <anchor>94d7aa1940d1aff4c1a6c8b53ab27686</anchor>
      <arglist>(int newIndex)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>mIndex</name>
      <anchorfile>classIndexable.html</anchorfile>
      <anchor>b714354de7ebebe9197ae52fa122f437</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Type</type>
      <name>mType</name>
      <anchorfile>classIndexable.html</anchorfile>
      <anchor>a9950d6e1e64056e07c7f7249516f566</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Indexer *</type>
      <name>mIndexer</name>
      <anchorfile>classIndexable.html</anchorfile>
      <anchor>e2950746ab754023897176cc5427eda2</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Indexer</name>
      <anchorfile>classIndexable.html</anchorfile>
      <anchor>a058b37295dea7bcef446149f453d4d7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Indexer</name>
    <filename>classIndexer.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>start</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>7c908bd7a9a72135739ed9f65ce130b7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>4653f22bd3db06619505fc653954be07</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>pause</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>78a8b79a46ad3bd8225aa816eeb5788c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>tick</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>1910bbe55f37f869c4332c5467d12c8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>timeTick</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>3293f38bf928c9c3be1a86f4ec17a78a</anchor>
      <arglist>(int timeChange)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>preTick</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>839bb676515085587d942d31d37cba82</anchor>
      <arglist>(int timeChange)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>clearPlan</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>61e02fa0d8b384335e6dae6238a9c399</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QList&lt; const Level * &gt; &amp;</type>
      <name>levels</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>259b1a49060f48b5cf4ad33534c8e07a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertIndexable</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>c6d40b43ba1e8b477c57395dd774da28</anchor>
      <arglist>(Indexable *indexable)</arglist>
    </member>
    <member kind="function">
      <type>Indexer &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>2a655ee54ad4906f3d5ad436289b9ead</anchor>
      <arglist>(Indexable *indexable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertSemaphoreGroup</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>c3325a46a7f4c39468877501ee458ff9</anchor>
      <arglist>(SemaphoreGroup *group)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeIndexable</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>81f7cbed447800c2e1402660a37414f6</anchor>
      <arglist>(Indexable *indexable)</arglist>
    </member>
    <member kind="function">
      <type>const QList&lt; Indexable * &gt; &amp;</type>
      <name>indexables</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>e7f949cce428db995b472b5e19472877</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Indexable * &gt;</type>
      <name>filter</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>935aa54b6de332306102a2b6674c4bf2</anchor>
      <arglist>(Indexable::Type type)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Indexable * &gt;</type>
      <name>vehicles</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>57015f2d4a8f00d1ed9fbc17a6452ea0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Indexable * &gt;</type>
      <name>invisibles</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>abc95186c80b8702c8a4e7a0ea1ae808</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Point * &gt;</type>
      <name>points</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>4d4a220c971f1ce5b1a994d895bd4e73</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QHash&lt; QString, SemaphoreGroup * &gt; &amp;</type>
      <name>semaphoreGroups</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>3af6a8847f952a25ecf212a8b6c9b900</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Indexer</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>c4c8c21c68d62185ceddbad8781e3b67</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Indexer</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>af5971639a7a2e3d9af4d8da62deb6f4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSpeed</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>a20668036627f93e9656a3da03c6cc62</anchor>
      <arglist>(int speed)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>speed</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>d602d286516c41516d1bcf25f0b78c1a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTraffic</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>d7b47404c405f8dc52088edb0ebbda7d</anchor>
      <arglist>(int value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>traffic</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>06e76e8af9e2349a7059e0641d2834b5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QList&lt; T &gt;</type>
      <name>filter</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>66f7121fad1d7340b5b53da50a11897a</anchor>
      <arglist>(const QList&lt; T &gt; &amp;list, TP type)</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>getTimeDelta</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>48d7033070dbc9abf81eb749a09a58da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>insertToLevel</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>b37dfa5bb9d1a5a1c05ff16dad480145</anchor>
      <arglist>(const Indexable *indexable, int level)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QList&lt; Indexable * &gt;</type>
      <name>mIndexables</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>9cfd6f2779ff5b8a71014aed5f9ecd34</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QList&lt; const Level * &gt;</type>
      <name>mLevels</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>da05cb6df597b03aa5457b881baaf0d4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QHash&lt; int, Level * &gt;</type>
      <name>mLevelIndex</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>dd22ac922525980dd818373e91c806ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QHash&lt; QString, SemaphoreGroup * &gt;</type>
      <name>mSemaphoreGroups</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>b3a655df9a0d1a86ee7411eaf038eb1b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QTimer *</type>
      <name>tickTimer</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>83e3b68be1c8869ed4979a6ce35f6550</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QTime</type>
      <name>lastTime</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>d09c51b2b6e9aea86362b99a12bb39ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>timeDiff</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>bf3a7914257fd5afd71742bd2932a200</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>mSpeed</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>d641dda6857669fd96d3086d05d06d6b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>mTraffic</name>
      <anchorfile>classIndexer.html</anchorfile>
      <anchor>e933b16bf0884fe43e0b950420054be9</anchor>
      <arglist></arglist>
    </member>
    <class kind="class">Indexer::Level</class>
  </compound>
  <compound kind="class">
    <name>Indexer::Level</name>
    <filename>classIndexer_1_1Level.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchorfile>classIndexer_1_1Level.html</anchorfile>
      <anchor>5eebffb33d045d8a38ccd4a034804cf6</anchor>
      <arglist>(const Level &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>num</name>
      <anchorfile>classIndexer_1_1Level.html</anchorfile>
      <anchor>d14fa14e402713342b329d271e590b76</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QList&lt; const Indexable * &gt; &amp;</type>
      <name>indexables</name>
      <anchorfile>classIndexer_1_1Level.html</anchorfile>
      <anchor>b5b7e30b18bff56d72f219612ebd1d4b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; const Indexable * &gt;</type>
      <name>filter</name>
      <anchorfile>classIndexer_1_1Level.html</anchorfile>
      <anchor>632e8074655c3465e7fca09d19d87651</anchor>
      <arglist>(Indexable::Type type) const </arglist>
    </member>
    <member kind="function">
      <type>QList&lt; const Indexable * &gt;</type>
      <name>objects</name>
      <anchorfile>classIndexer_1_1Level.html</anchorfile>
      <anchor>b618e8051ef3c6bdd1bfbdf8e972a4ff</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; const Indexable * &gt;</type>
      <name>structurals</name>
      <anchorfile>classIndexer_1_1Level.html</anchorfile>
      <anchor>75bc21ab1deb9f2e1247b90d114b5ebc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; const Indexable * &gt;</type>
      <name>vehicles</name>
      <anchorfile>classIndexer_1_1Level.html</anchorfile>
      <anchor>0b00adeb889afe73ac384308a8480fd5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>Level</name>
      <anchorfile>classIndexer_1_1Level.html</anchorfile>
      <anchor>354f27ae5ee7a8de05b22ba3c0ebb9a2</anchor>
      <arglist>(int num)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>mNum</name>
      <anchorfile>classIndexer_1_1Level.html</anchorfile>
      <anchor>88b097c5c554d4e179672b789f84b771</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QList&lt; const Indexable * &gt;</type>
      <name>mIndexables</name>
      <anchorfile>classIndexer_1_1Level.html</anchorfile>
      <anchor>7294bbf18b48706a9c39dff68d550c95</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Indexer</name>
      <anchorfile>classIndexer_1_1Level.html</anchorfile>
      <anchor>a058b37295dea7bcef446149f453d4d7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Invisible</name>
    <filename>classInvisible.html</filename>
    <base>Indexable</base>
    <member kind="function">
      <type></type>
      <name>Invisible</name>
      <anchorfile>classInvisible.html</anchorfile>
      <anchor>a3b87a00a0b5075512477859d0c6f363</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Line</name>
    <filename>classLine.html</filename>
    <base>Indexable</base>
    <member kind="function">
      <type></type>
      <name>Line</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>42cad5612649d48047d27d5274ea764e</anchor>
      <arglist>(const QDomElement &amp;node, const QHash&lt; QString, Point * &gt; &amp;points, Indexer &amp;indexer)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Line</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>abe85f48d22d92b62257091f48174fac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>id</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>5918a3b01112c8bf0780f8f2eb5a6901</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Point *</type>
      <name>dest</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>738af8b49cc2b091eb557be3b49fc04f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const Point *</type>
      <name>dest</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>152d0a120418ec809e6b5ebe1a68a195</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Point *</type>
      <name>src</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>37b1612460ca748112cd43599c340fba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const Point *</type>
      <name>src</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>57964a77aa353d89b7f551de2da32e8d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enter</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>3782c324cbef65e055fc15371993614a</anchor>
      <arglist>(::Vehicle *vehicle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>leave</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>f4420bfcdb29c49bde5196ca74b43c29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>xInc</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>455ec9ab41084ca679ee201eac16e1b4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>yInc</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>5f922225f84e4c57fb92dc45c46df8af</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>angle</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>011e937d68929c05d64a31b11b8c692f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>length</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>908b142ba4a17102326274ffcd83d3b4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearOngoings</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>af2e1c6898b578b43ba6a2575d947556</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QString</type>
      <name>mId</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>081b438b118b14c3f0a1eced0a854a2d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Point *</type>
      <name>mDest</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>11306efed0e521fb7a418ad3fe0c13d0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Point *</type>
      <name>mSrc</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>b2da07d9f7cda54399d331bba5d4b226</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>mXInc</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>748c230a4664322ab329f713c09faf56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>mYInc</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>67df338e803536566bdfbe30edc1dd70</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>mAngle</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>a626344e12a154b847e8c55b0a6cbd5f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>mLength</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>a12c3e9e93867700a6b771d7f975854d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QList&lt; ::Vehicle * &gt;</type>
      <name>ongoing</name>
      <anchorfile>classLine.html</anchorfile>
      <anchor>360a136042423a1549e62ce02e906512</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LoadUnknownE</name>
    <filename>classLoadUnknownE.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~LoadUnknownE</name>
      <anchorfile>classLoadUnknownE.html</anchorfile>
      <anchor>421f6e9ffeedcd96daab23592a272527</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual void</type>
      <name>x</name>
      <anchorfile>classLoadUnknownE.html</anchorfile>
      <anchor>8a30e322d4b561546c2d96a07419f01d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MapObject</name>
    <filename>classMapObject.html</filename>
    <base>Indexable</base>
    <member kind="function">
      <type></type>
      <name>MapObject</name>
      <anchorfile>classMapObject.html</anchorfile>
      <anchor>f7ba7f74dc53f88499223f73c96294e5</anchor>
      <arglist>(const QPixmap &amp;pixmap, const QDomElement &amp;node)</arglist>
    </member>
    <member kind="function">
      <type>const QPixmap &amp;</type>
      <name>pixmap</name>
      <anchorfile>classMapObject.html</anchorfile>
      <anchor>57ddbc385c1f820b2e5e17f014c84e65</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>x</name>
      <anchorfile>classMapObject.html</anchorfile>
      <anchor>2c29420d9cf7b56bfdcd694694efa14b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>y</name>
      <anchorfile>classMapObject.html</anchorfile>
      <anchor>da6ed7a7186431a7b2aa1180f62bd615</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rot</name>
      <anchorfile>classMapObject.html</anchorfile>
      <anchor>06a46986f0dea63cd56a5117998a1cc5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>const QPixmap</type>
      <name>mPixmap</name>
      <anchorfile>classMapObject.html</anchorfile>
      <anchor>9a23e84203d42b1f5d726153a78e66d3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>mX</name>
      <anchorfile>classMapObject.html</anchorfile>
      <anchor>ff994321fafdd6e63caf88be4ce8aa7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>mY</name>
      <anchorfile>classMapObject.html</anchorfile>
      <anchor>e67ba96b3623f0ae5665fd1662d323da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>mRot</name>
      <anchorfile>classMapObject.html</anchorfile>
      <anchor>29b494bcd01162f209ae525c46fde0b9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Point</name>
    <filename>classPoint.html</filename>
    <base>Indexable</base>
    <member kind="function">
      <type>void</type>
      <name>processVehicle</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>1993df61f1cbd0b3aa97f2be835146b6</anchor>
      <arglist>(::Vehicle *vehicle)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>id</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>de1f3fc493b74151d0908ee783937551</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Point</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>3463a1c97d58649581d61d704e86af70</anchor>
      <arglist>(const QDomElement &amp;pointNode, Indexer &amp;indexer)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pushLine</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>becc2ff967952869856bc38d70fd18bc</anchor>
      <arglist>(Line *ln)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pushBackLine</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>237b3ca182de5a2d93bdd106d3415c55</anchor>
      <arglist>(Line *ln)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>x</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>cad8a5e42ceb23fd612eebe993f98e9f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>y</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>48b78574aba8f70f107b5025d7ffab96</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>constructStructure</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>41c5f84a8a1547e148c38617cc569b58</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Line *</type>
      <name>inLine</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>46f491a1f8f8f5e4db26596310edc128</anchor>
      <arglist>(const QString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>Line *</type>
      <name>line</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>12268ffbab802f1fcbb4c7c37d9999f4</anchor>
      <arglist>(const QString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; Line * &gt;</type>
      <name>allOutLines</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>3974c11d562512dc745ea3744bf4af12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>VehicState</type>
      <name>decide</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>0b911b018a4e10656ed3b1d1a545ab8e</anchor>
      <arglist>(const::Vehicle &amp;vehicle) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reserveLock</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>8e06bf9fba0a81c79c495f2fbc193200</anchor>
      <arglist>(::Vehicle *vehicle, int priority, bool near)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasLock</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>e0e6606fa590f1c72879beccc7a47527</anchor>
      <arglist>(::Vehicle *vehicle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>giveUpLock</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>b676ed3e5364dfd6f55b8bc0634ab707</anchor>
      <arglist>(::Vehicle *vehicle)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isUnlocked</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>ce5c745c33dd1c7d11e9a6588bde6fc9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>immediateLock</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>78dcf0c89862da75343d522bc5346edf</anchor>
      <arglist>(::Vehicle *vehicle)</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>clearLock</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>a97627785902a92fce95a15494e9d7ba</anchor>
      <arglist>(QObject *deadVehicle)</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>newLockRound</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>a92c91b245d547c00f9a2295d80674d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>clearLockReqs</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>5c64abd878bdaaad766078a3dbb6d1fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>reinitLocks</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>00c6ef401d82405aeacfccf6da047829</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>bool</type>
      <name>better</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>2f093b7b04e96f0dbd436917f0a335e7</anchor>
      <arglist>(const LockRequest &amp;_1, const LockRequest &amp;_2) const </arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>decideLock</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>0f69a214a8c65711ad0cc7816a794a4e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>mX</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>21e73449e31761f04e0a298ef2873b31</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>mY</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>e6ea99a4d2e64cb450ca44d2aa37eaf1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QString</type>
      <name>mId</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>edf5dad4d2ade27fd62afb446e178085</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>const QDomElement</type>
      <name>mNode</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>50aaf8fb0006e22f1d7f3bf5fa16a0db</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QHash&lt; QString, Line * &gt;</type>
      <name>lines</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>c28b1843c86f8496de1092d070c1baf8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QHash&lt; QString, Line * &gt;</type>
      <name>inLines</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>d5c749ed95fa94dc1f0b944159238b5a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>std::auto_ptr&lt; RootCond &gt;</type>
      <name>behavior</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>7332c144f84b4921ede6edd73f662f92</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>std::auto_ptr&lt; Generator &gt;</type>
      <name>generator</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>619149e1ad49c0c4d74df4df8df6b78b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>lockDecided</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>9dbedecfbc379f49eb9c1f74eb2efce5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>::Vehicle *</type>
      <name>lockedBy</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>4c9de275bfcf8fa87607c17ad944d3e0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QList&lt; LockRequest &gt;</type>
      <name>lockReqs</name>
      <anchorfile>classPoint.html</anchorfile>
      <anchor>2b2c4ac7251f73f20c30dc59d95c26ec</anchor>
      <arglist></arglist>
    </member>
    <class kind="struct">Point::LockRequest</class>
  </compound>
  <compound kind="struct">
    <name>Point::LockRequest</name>
    <filename>structPoint_1_1LockRequest.html</filename>
    <member kind="variable">
      <type>::Vehicle *</type>
      <name>by</name>
      <anchorfile>structPoint_1_1LockRequest.html</anchorfile>
      <anchor>ba313306f7e223249e2b8fdd6b16f656</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>priority</name>
      <anchorfile>structPoint_1_1LockRequest.html</anchorfile>
      <anchor>c2cb02a30d5e2ee61d83d1c0797e6f64</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>near</name>
      <anchorfile>structPoint_1_1LockRequest.html</anchorfile>
      <anchor>7e060f98b71e55cd6f456374a38f060c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PriorityBehav</name>
    <filename>classPriorityBehav.html</filename>
    <base>Behavior</base>
    <member kind="function">
      <type></type>
      <name>PriorityBehav</name>
      <anchorfile>classPriorityBehav.html</anchorfile>
      <anchor>df05e79010aeeadc626abff9c8d4c65b</anchor>
      <arglist>(const QDomElement &amp;node)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PriorityBehav</name>
      <anchorfile>classPriorityBehav.html</anchorfile>
      <anchor>43190623776214be679bbdc0c6c1eee2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>VehicState</type>
      <name>processVehicle</name>
      <anchorfile>classPriorityBehav.html</anchorfile>
      <anchor>8d26c774c601b019808cf14c2b036dc4</anchor>
      <arglist>(const VehicState &amp;state, const Vehicle &amp;) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>priority</name>
      <anchorfile>classPriorityBehav.html</anchorfile>
      <anchor>05a6448265d4cd102997d16bd034ecff</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RootCond</name>
    <filename>classRootCond.html</filename>
    <base>Condition</base>
    <member kind="function">
      <type></type>
      <name>RootCond</name>
      <anchorfile>classRootCond.html</anchorfile>
      <anchor>236a05ab180668647e93d8c87f1800fb</anchor>
      <arglist>(const QDomElement &amp;node, Point *point)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>match</name>
      <anchorfile>classRootCond.html</anchorfile>
      <anchor>777b3f7258a759c87d93d9483c3b96d3</anchor>
      <arglist>(const Vehicle &amp;vehicle) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SemaphoreBehav</name>
    <filename>classSemaphoreBehav.html</filename>
    <base>Behavior</base>
    <member kind="function">
      <type></type>
      <name>SemaphoreBehav</name>
      <anchorfile>classSemaphoreBehav.html</anchorfile>
      <anchor>dd033296a43e0dbfc4f9155ee3e13579</anchor>
      <arglist>(const QDomElement &amp;node, Indexer *indexer)</arglist>
    </member>
    <member kind="function">
      <type>VehicState</type>
      <name>processVehicle</name>
      <anchorfile>classSemaphoreBehav.html</anchorfile>
      <anchor>d846d6759ebff8183e07246b71492d59</anchor>
      <arglist>(const VehicState &amp;state, const Vehicle &amp;vehicle) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classSemaphoreBehav.html</anchorfile>
      <anchor>449f7f0888c530740dddd54fea58532f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>SemaphoreGroup *</type>
      <name>group</name>
      <anchorfile>classSemaphoreBehav.html</anchorfile>
      <anchor>247554928ec1101a5caca9e98fbd6102</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QVector&lt; Interval &gt;</type>
      <name>intervals</name>
      <anchorfile>classSemaphoreBehav.html</anchorfile>
      <anchor>e416f4c22cf590d517dc9575f1f14b8e</anchor>
      <arglist></arglist>
    </member>
    <class kind="struct">SemaphoreBehav::Interval</class>
  </compound>
  <compound kind="struct">
    <name>SemaphoreBehav::Interval</name>
    <filename>structSemaphoreBehav_1_1Interval.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchorfile>structSemaphoreBehav_1_1Interval.html</anchorfile>
      <anchor>a9f42e482820024c09658998296fc0a3</anchor>
      <arglist>(const Interval &amp;other) const</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>start</name>
      <anchorfile>structSemaphoreBehav_1_1Interval.html</anchorfile>
      <anchor>cbefa64d4f3730147958a9fed0586827</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>end</name>
      <anchorfile>structSemaphoreBehav_1_1Interval.html</anchorfile>
      <anchor>6a45614e4f8bf5a6af284d64960b1cd2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SemaphoreGroup</name>
    <filename>classSemaphoreGroup.html</filename>
    <base>Invisible</base>
    <member kind="function">
      <type></type>
      <name>SemaphoreGroup</name>
      <anchorfile>classSemaphoreGroup.html</anchorfile>
      <anchor>9a0eb721090d719f78da69ab3af85ce0</anchor>
      <arglist>(const QDomElement &amp;node, Indexer *indexer)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>id</name>
      <anchorfile>classSemaphoreGroup.html</anchorfile>
      <anchor>c0820d1b69ca83153f6126732f907519</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>pos</name>
      <anchorfile>classSemaphoreGroup.html</anchorfile>
      <anchor>6454365d14887a9ace9f47cde4e6fc3b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>tick</name>
      <anchorfile>classSemaphoreGroup.html</anchorfile>
      <anchor>3d2345ee45e1d20d5d7a1b57ba4ef87d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QString</type>
      <name>mId</name>
      <anchorfile>classSemaphoreGroup.html</anchorfile>
      <anchor>8ecc75830f7a97d5823c7641450fc9e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>actPos</name>
      <anchorfile>classSemaphoreGroup.html</anchorfile>
      <anchor>8713ee8c3d22ea71607c667f338a8e82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>period</name>
      <anchorfile>classSemaphoreGroup.html</anchorfile>
      <anchor>fd3b3c6fb5b62933bf21f195ff0db635</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SpeedBehav</name>
    <filename>classSpeedBehav.html</filename>
    <base>Behavior</base>
    <member kind="function">
      <type></type>
      <name>SpeedBehav</name>
      <anchorfile>classSpeedBehav.html</anchorfile>
      <anchor>5563fcc3c81b045b14b7b9e3b3ab04d2</anchor>
      <arglist>(const QDomElement &amp;node)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SpeedBehav</name>
      <anchorfile>classSpeedBehav.html</anchorfile>
      <anchor>0896a7e131b30ddef877d38f39050c7e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual VehicState</type>
      <name>processVehicle</name>
      <anchorfile>classSpeedBehav.html</anchorfile>
      <anchor>e8fae1d58292669102175b0661a2ec65</anchor>
      <arglist>(const VehicState &amp;state, const Vehicle &amp;vehicle) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>speed</name>
      <anchorfile>classSpeedBehav.html</anchorfile>
      <anchor>0ba010f232f59977153417758c19d932</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VehicCond</name>
    <filename>classVehicCond.html</filename>
    <base>Condition</base>
    <member kind="function">
      <type></type>
      <name>VehicCond</name>
      <anchorfile>classVehicCond.html</anchorfile>
      <anchor>34d92b3e629386bf42c82de94cee0e12</anchor>
      <arglist>(const QDomElement &amp;node, Point *point)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>match</name>
      <anchorfile>classVehicCond.html</anchorfile>
      <anchor>ca4644e269ad9b7836a26f16f54f4f26</anchor>
      <arglist>(const Vehicle &amp;vehicle) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>const VehicType *</type>
      <name>type</name>
      <anchorfile>classVehicCond.html</anchorfile>
      <anchor>608dec25c0cc2b634cd5558261cdb7c8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Vehicle</name>
    <filename>classVehicle.html</filename>
    <base>Indexable</base>
    <member kind="function">
      <type></type>
      <name>Vehicle</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>66e18756f928ddbcc83182c5f827bed0</anchor>
      <arglist>(const VehicType *type, Point *point)</arglist>
    </member>
    <member kind="function">
      <type>const QPixmap &amp;</type>
      <name>img</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>db021904375fd670c51ea286ed057261</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>rotation</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>0a7018c3addff29a263a4f309c66a953</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>x</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>5bc2b6d93584516f8c79c1908798b0ad</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>y</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>237a1bad841b4b5d397687bad668abc7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const Line *</type>
      <name>actLine</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>b19a9da5267369b8ef64dbe545614656</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>Vehicle *</type>
      <name>waitForVehicle</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>a723dee658a29edeea632fa666a0c1fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const VehicType *</type>
      <name>vtype</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>347a14c53de0f487792c1f5fcec8b65d</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>timeTick</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>be82dfb8f486204b54a0b07ece6e1dc9</anchor>
      <arglist>(int timeChange)</arglist>
    </member>
    <member kind="slot" protection="private">
      <type>void</type>
      <name>canGo</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>a77df5895af53ba8768b99fa5537a79c</anchor>
      <arglist>(int timeChange)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>moveToPoint</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>87462f864003bb0b16ed16366bb32d3a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>bool</type>
      <name>tryLock</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>e2e4edb4244e27f3551a580a4c0dabff</anchor>
      <arglist>(Point *point)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>unlockIfLocked</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>97190dfc2beac30f917dff11fa393315</anchor>
      <arglist>(Point *point)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>const VehicType::ImageSet *</type>
      <name>imageSet</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>f99179f1d1947acc2a2f5d9450a6082a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>imgPos</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>4fc094106995f7e69718c1c525f6dddd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>imgTime</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>c0a050a86d36e92d1213d55dd3178e23</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Point *</type>
      <name>mPoint</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>c6498d670a741478d26485bb423f77c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Line *</type>
      <name>mLine</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>7a9a800476d54d120eebf595555494d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>srcSpeed</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>ac102bf8b5c5cae7dce49debbed7ac45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>double</type>
      <name>actPos</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>fcaee3e951656350b76b4065bf1be7a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>waiting</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>55bc0583ce3f7df8db75f3cd851ca658</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>VehicState</type>
      <name>nextPoint</name>
      <anchorfile>classVehicle.html</anchorfile>
      <anchor>ac2e4794f0ed05a839fa72ff3641e9e7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>VehicState</name>
    <filename>structVehicState.html</filename>
    <member kind="function">
      <type></type>
      <name>VehicState</name>
      <anchorfile>structVehicState.html</anchorfile>
      <anchor>7eeb3b95233bb3a3483106b69a2934ee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>speed</name>
      <anchorfile>structVehicState.html</anchorfile>
      <anchor>027fef0cfa986be51a3261972b363f18</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>priority</name>
      <anchorfile>structVehicState.html</anchorfile>
      <anchor>d2c520000e71b460b9d816664031985c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Line *</type>
      <name>cont</name>
      <anchorfile>structVehicState.html</anchorfile>
      <anchor>a3976659f56a27c5e6e3b3caad9945a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QList&lt; const SemaphoreBehav * &gt;</type>
      <name>semaphores</name>
      <anchorfile>structVehicState.html</anchorfile>
      <anchor>eea80a6fc85fb52eae093bc9ca36fd53</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VehicType</name>
    <filename>classVehicType.html</filename>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>type</name>
      <anchorfile>classVehicType.html</anchorfile>
      <anchor>30c60065674fb299d975cd971850c7a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QVector&lt; const ImageSet * &gt;</type>
      <name>sets</name>
      <anchorfile>classVehicType.html</anchorfile>
      <anchor>909fa0fa7028538473710f363b813ee0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>VehicType</name>
      <anchorfile>classVehicType.html</anchorfile>
      <anchor>868d3671fbeec673f101d962c107465a</anchor>
      <arglist>(const QString &amp;fn)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QVector&lt; const ImageSet * &gt;</type>
      <name>mImageSets</name>
      <anchorfile>classVehicType.html</anchorfile>
      <anchor>cd4fd94c0080eede547dc8cd59b18451</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QString</type>
      <name>mType</name>
      <anchorfile>classVehicType.html</anchorfile>
      <anchor>89ca0c3954809d3e24156502f3a76314</anchor>
      <arglist></arglist>
    </member>
    <class kind="class">VehicType::ImageSet</class>
  </compound>
  <compound kind="class">
    <name>VehicType::ImageSet</name>
    <filename>classVehicType_1_1ImageSet.html</filename>
    <member kind="function">
      <type>int</type>
      <name>imgInt</name>
      <anchorfile>classVehicType_1_1ImageSet.html</anchorfile>
      <anchor>99593dcee95f7854e7151336ec579b54</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QVector&lt; QPixmap &gt; &amp;</type>
      <name>imgs</name>
      <anchorfile>classVehicType_1_1ImageSet.html</anchorfile>
      <anchor>3701dbbb58bb398dfa20a1881add5cc0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ImageSet</name>
      <anchorfile>classVehicType_1_1ImageSet.html</anchorfile>
      <anchor>1d71305b1193040c89f2d95c80c4f5bc</anchor>
      <arglist>(const QString &amp;ln, const QString &amp;prefix)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>QVector&lt; QPixmap &gt;</type>
      <name>mImgs</name>
      <anchorfile>classVehicType_1_1ImageSet.html</anchorfile>
      <anchor>2abfbb3ecb7243c88749de89b8d5125c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>mImgInt</name>
      <anchorfile>classVehicType_1_1ImageSet.html</anchorfile>
      <anchor>68cd48a13b2f218e9df6de79c23dd001</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>XMLLoadDataE</name>
    <filename>classXMLLoadDataE.html</filename>
    <base>LoadUnknownE</base>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~XMLLoadDataE</name>
      <anchorfile>classXMLLoadDataE.html</anchorfile>
      <anchor>f503c13eaa396273b2c170fed976e8fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>XMLLoadDataE</name>
      <anchorfile>classXMLLoadDataE.html</anchorfile>
      <anchor>62a8e22b0dff65c192033d700cc17a35</anchor>
      <arglist>(const QString _text)</arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>text</name>
      <anchorfile>classXMLLoadDataE.html</anchorfile>
      <anchor>9495b79aded3ffa5566b16dcc9a6d490</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual void</type>
      <name>x</name>
      <anchorfile>classXMLLoadDataE.html</anchorfile>
      <anchor>912294b41d860380a767ffc9f5f021da</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>XMLLoadFileNotFoundE</name>
    <filename>classXMLLoadFileNotFoundE.html</filename>
    <base>LoadUnknownE</base>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~XMLLoadFileNotFoundE</name>
      <anchorfile>classXMLLoadFileNotFoundE.html</anchorfile>
      <anchor>304eef37722503eef52dcf04ad2c4cfa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual void</type>
      <name>x</name>
      <anchorfile>classXMLLoadFileNotFoundE.html</anchorfile>
      <anchor>d85913585b6b2544d01618aaddcd71f1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>XMLLoadForeignE</name>
    <filename>classXMLLoadForeignE.html</filename>
    <base>LoadUnknownE</base>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~XMLLoadForeignE</name>
      <anchorfile>classXMLLoadForeignE.html</anchorfile>
      <anchor>22b16e28c486c0e47f2ef662580a28d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual void</type>
      <name>x</name>
      <anchorfile>classXMLLoadForeignE.html</anchorfile>
      <anchor>cab087223c7ccd612a1b900802a81b17</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>XMLLoadFormatE</name>
    <filename>classXMLLoadFormatE.html</filename>
    <base>LoadUnknownE</base>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~XMLLoadFormatE</name>
      <anchorfile>classXMLLoadFormatE.html</anchorfile>
      <anchor>b8126ff1ea1ca5a414c8eb096c8486fa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private" virtualness="virtual">
      <type>virtual void</type>
      <name>x</name>
      <anchorfile>classXMLLoadFormatE.html</anchorfile>
      <anchor>eec5113c810142f180e6667d17cb89e3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
